UNIT uBargeld;
(* ******************************************************************** *)
(* K L A S S E : TBargeld                                               *)
(* -------------------------------------------------------------------- *)
(* Version     : 1.0                                                    *)
(* Autor       : (c) S. Spolwig (OSZ-Handel I)  10997 Berlin            *)
(*                                                                      *)
(* Aufgabe     : stellt die abstrakte Klasse Geld dar.                  *)
(* Compiler    : Delphi 6.0                                             *)
(* Aenderung   : V.1.0  - 25-DEC-99                                     *)
(* ******************************************************************** *)

INTERFACE
(* ==================================================================== *)
uses  uGRAFIK;

type
  TBargeld = class (TObject)
             protected
              Wert      : 0..5000;  (* in Cent *)
              Praegung  : TBild;
             public
              constructor Create;                             virtual;
              procedure   SetPos (ax1, ay1, ax2, ay2 : Word); virtual;
              procedure   SetPraegung(dateiname:string);
              procedure   PosVersetzenUm (dX, dY : integer);  virtual;
              procedure   BewegenNach (neuX, NeuY : integer); virtual;
              procedure   Zeigen;                             virtual;
              procedure   Loeschen;                           virtual;
              function    GetWert : Word;     virtual;
             end;

(*  ----------------- B e s c h r e i b u n g -------------------------
Oberklasse     : TObject
Bezugsklassen  : -

Methoden
--------
Create;
  Auftrag : Objekt erzeugen
  vorher  : -
  nachher : wert ist 0.

SetPos (ax, ay : Word);
  Auftrag : Bildschirmposition uebergeben
  vorher  : -
  nachher : -

SetPraegung(dateiname:string);
  Auftrag : Geld mit einer (Bild)Praegung versehen
  vorher  : -
  nachher : -

PosVersetzenUm (dX, dY : integer)
  Auftrag : neue Position geben
  vorher  : -
  nachher : -

BewegenNach (neuX, NeuY : integer)
  Auftrag : auf neue Position gehen
  vorher  : -
  nachher : -

Zeigen
  Auftrag : Muenze/Note auf dem Bildschirm zeigen.
  vorher  : -
  nachher : -

Loeschen
  Auftrag : Muenze/Note vom Bildschirm Loeschen.
  vorher  : -
  nachher : -

GetWert
  Anfrage: nach dem Wert der Sorte
  vorher : init.
  nachher: -
----------------------------------------------------------------------- *)

IMPLEMENTATION
(* ==================================================================== *)
uses uZEIT;

constructor TBargeld.Create;
(* -------------------------------------------------------------------- *)
begin
  inherited Create;
  Wert := 0;
end;


procedure TBargeld.SetPos (aX1, aY1, aX2, aY2 : word);
(* -------------------------------------------------------------------- *)
begin
end;


procedure TBargeld.SetPraegung(dateiname : string);
// --------------------------------------------------------------------
begin
  Praegung.Laden(dateiname);
end;

procedure TBargeld.PosVersetzenUm (dX, dY : integer);
(* -------------------------------------------------------------------- *)
begin
end;


procedure TBargeld.BewegenNach (neuX, neuY : integer);
(* -------------------------------------------------------------------- *)
begin
end;


procedure TBargeld.Zeigen;
(* -------------------------------------------------------------------- *)
begin
end;


procedure TBargeld.Loeschen;
(* -------------------------------------------------------------------- *)
begin
end;


function TBargeld.GetWert : Word;
(* -------------------------------------------------------------------- *)
begin
  Result := Wert;
end;

END.
