UNIT uMuenze;
(* ******************************************************************** *)
(* K L A S S E : TMuenze                                                *)
(* -------------------------------------------------------------------- *)
(* Version     : 3.x                                                    *)
(* Autor       : (c) S. Spolwig (OSZ-Handel I)  10997 Berlin            *)
(*                                                                      *)
(* Aufgabe     : stellt das Objekt Muenze dar. Daten und Darstellung    *)
(*               sind integriert.                                       *)
(* Compiler    : DElphi 6.0                                             *)
(*                      3.0   11-FEB-06  Euro                           *)
(* ******************************************************************** *)
INTERFACE
(* ========================== Export ================================== *)

USES
   uZEIT,
   uGRAFIK,
   uBargeld;

type
  TMuenze = class (TBargeld)
             protected
              Form        : TKreis; // wird nicht dargestellt
              Durchmesser : real;   // zur Echtheitspruefung benutzen
             public
              constructor Create;                             override;
              procedure   SetPos  (aX1, aY1, ax2, ay2 : word);virtual;
              procedure   PosVersetzenUm (dX, dY : integer);  override;
              procedure   Zeigen;                             override;
              procedure   Loeschen;                           override;
            end;

(*  ----------------- B e s c h r e i b u n g -------------------------
Oberklasse     : TBargeld vererbt alles an TNote
Bezugsklassen  : uGRAFIK

Methoden
--------
Create;
  Auftrag : erzeugen und Attributwerte vorbelegen
  vorher  : -
  nachher : Pos. sind uebergeben

SetPos (ax, ay : Word);
  Auftrag : Bildschirmposition uebergeben
  vorher  : -
  nachher : Pos. sind uebergeben

PosVersetzenUm (dX, dY : integer)
  Auftrag : neue Position geben
  vorher  : init.
  nachher : neue Pos. ist um dyx,dy verschoben

Zeigen
  Auftrag : Muenze auf dem Bildschirm zeigen.
  vorher  : init.
  nachher : Muenze steht auf dem Bildschirm

Loeschen
  Auftrag : Muenze/Note vom Bildschirm Loeschen.
  vorher  : -
  nachher : -
----------------------------------------------------------------------- *)

IMPLEMENTATION
(* ==================================================================== *)

constructor TMuenze.Create;
(* -------------------------------------------------------------------- *)
begin
  inherited Create;
  Praegung := TBild.Create;
end;


procedure TMuenze.SetPos (aX1, aY1, ax2, ay2 : word);
(* -------------------------------------------------------------------- *)
begin
  Praegung.SetPos(ax1 +1 , ay1 +1, ax2+1,ay2 +1);
end;


procedure TMuenze.PosVersetzenUm (dX, dY : integer);
(* -------------------------------------------------------------------- *)
begin
 Praegung.PosVersetzenUm(dX,dY);
end;


procedure TMuenze.Zeigen;
(* -------------------------------------------------------------------- *)
begin
  Praegung.Zeigen;
end;


procedure TMuenze.Loeschen;
(* -------------------------------------------------------------------- *)
begin
  Praegung.Loeschen;
end;

END.
