UNIT uNote;
(* ******************************************************************** *)
(* K L A S S E : TNote                                                  *)
(* -------------------------------------------------------------------- *)
(* Version     : 3.0                                                    *)
(* Autor       : (c) S. Spolwig (OSZ-Handel I)  10997 Berlin            *)
(*                                                                      *)
(* Aufgabe     : stellt das Objekt Banknote dar. Daten und Darstellung  *)
(*               sind integriert.                                       *)
(* Compiler    : Delphi 6.0                                             *)
(* Aenderung   : V.1.0  - 20-DEC-99                                     *)
(*                 3.0  - 11-FEB-06  Euro                               *)
(* ******************************************************************** *)

INTERFACE
(* ==================================================================== *)
USES
  Windows,
  Graphics,
  uGRAFIK,
  uBargeld;

type
  TNote = class (TBargeld)
           protected
            Form      : TRechteck;
            Farbe     : TColor;    // als Echtheitsmerkmal in RGB

           public
            constructor Create;                            override;
            procedure   SetPos (ax1, ay1, ax2,ay2 : Word); override;
            procedure   PosVersetzenUm (dX, dY : integer); override;
            procedure   BewegenNach(N_S,W_O : integer);    override;
            function    GetFarbe : TColor;
            procedure   Zeigen;                            override;
            procedure   Loeschen;                          override;
          end;

(*  ----------------- B e s c h r e i b u n g -------------------------
Oberklasse     : TBargeld vererbt alles an TNote
Bezugsklassen  : uGRAFIK, TZeit

Methoden
--------
Create;
  Auftrag : erzeugen und Attributwerte vorbelegen
  vorher  : -
  nachher : Pos. sind uebergeben

SetPos (ax1, ay1, ax2, ay2 : Word)
  Auftrag : Bildschirmposition uebergeben
  vorher  : -
  nachher : Pos. sind uebergeben

PosVersetzenUm (dX, dY : integer)
  Auftrag : neue Position geben
  vorher  : init.
  nachher : neue Pos. ist um dx,dy verschoben

BewegenNach(N_S,W_O : integer);
  Auftrag : Note in Sd-Nord-Richtung bewegen
  vorher  : init.
  nachher : neue Pos. ist um 260 Pixel nach Norden verschoben

Zeigen
  Auftrag : Muenze auf dem Bildschirm zeigen.
  vorher  : init.
  nachher : Muenze steht auf dem Bildschirm

Loeschen
  Auftrag : Muenze/Note vom Bildschirm Loeschen.
  vorher  : -
  nachher : -
----------------------------------------------------------------------- *)


IMPLEMENTATION
(* ==================================================================== *)
uses uZEIT;

constructor TNote.Create;
(* -------------------------------------------------------------------- *)
begin
  inherited Create;
  Form     := TRechteck.Create;
  Praegung := TBild.Create;

  Form.Setfarbe(clGray);
  Farbe := RGB(0,0,0);
end;


procedure TNote.SetPos (aX1, aY1, ax2, ay2 : word);
(* -------------------------------------------------------------------- *)
begin
  Form.SetPos(ax1, ay1, ax2,ay2);
  Praegung.SetPos(ax1 +1 , ay1 +1, ax2+1,ay2 +1);
end;


procedure TNote.PosVersetzenUm (dX, dY : integer);
(* -------------------------------------------------------------------- *)
begin
 Form.PosVersetzenUm(dX,dY);
 Praegung.PosVersetzenUm(dX,dY);
end;


procedure TNote.BewegenNach(N_S,W_O : integer);
(* -------------------------------------------------------------------- *)
var i : integer;
begin
 Zeit.SetPause(1000);
 for i := 1 to 260 do
 begin
   Loeschen;
   PosVersetzenUm(N_S,W_O);
   Zeigen;
   Zeit.SetPause(10);
 end;
end;


function TNote.GetFarbe : TColor;
(* -------------------------------------------------------------------- *)
begin
  Result := Farbe;
end;  


procedure TNote.Zeigen;
(* -------------------------------------------------------------------- *)
begin
  Form.Zeigen;
  Praegung.Zeigen;
end;


procedure TNote.Loeschen;
(* -------------------------------------------------------------------- *)
begin
  Form.Loeschen;
  Praegung.Loeschen;
end;

END.
